org.codehaus.plexus.interpolation

## Class PrefixedObjectValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.AbstractDelegatingValueSource
  - - org.codehaus.plexus.interpolation.PrefixedObjectValueSource

All Implemented Interfaces:
  QueryEnabledValueSource, ValueSource

    public class PrefixedObjectValueSource
    extends AbstractDelegatingValueSource
    implements QueryEnabledValueSource

Wraps an arbitrary object with an `ObjectBasedValueSource` instance, then wraps that source with a `PrefixedValueSourceWrapper` instance, to which this class delegates all of its calls.

Version:
  $Id$

### Constructor Summary

Constructors
Constructor and Description
`PrefixedObjectValueSource(java.util.List<java.lang.String> possiblePrefixes, java.lang.Object root, boolean allowUnprefixedExpressions)` Wrap the specified root object, allowing the specified list of expression prefixes and setting whether the `PrefixedValueSourceWrapper` allows unprefixed expressions.
`PrefixedObjectValueSource(java.lang.String prefix, java.lang.Object root)` Wrap the specified root object, allowing the specified expression prefix.

### Method Summary

Methods
`java.lang.String` `getLastExpression()`

### Methods inherited from class org.codehaus.plexus.interpolation.AbstractDelegatingValueSource

`clearFeedback, getDelegate, getFeedback, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.interpolation.ValueSource

`clearFeedback, getFeedback, getValue`

### Constructor Detail

#### PrefixedObjectValueSource

    public PrefixedObjectValueSource(java.lang.String prefix,
                             java.lang.Object root)

Wrap the specified root object, allowing the specified expression prefix.

#### PrefixedObjectValueSource

    public PrefixedObjectValueSource(java.util.List<java.lang.String> possiblePrefixes,
                             java.lang.Object root,
                             boolean allowUnprefixedExpressions)

Wrap the specified root object, allowing the specified list of expression prefixes and setting whether the `PrefixedValueSourceWrapper` allows unprefixed expressions.

### Method Detail

#### getLastExpression

    public java.lang.String getLastExpression()

Specified by:
  `getLastExpression` in interface `QueryEnabledValueSource`
Returns:
  the most recent expression processed by this value source, or null.